Holger's Java API

## com.antelmann.io
Class DirectoryTreeNode

    java.lang.Object
      com.antelmann.io.FileTreeNode
          com.antelmann.io.DirectoryTreeNode

All Implemented Interfaces:
  Refreshable, Serializable, TreeNode

    public class DirectoryTreeNode

extends FileTreeNode

DirectoryTreeNode implements a TreeNode that can be used to visualize a directory structure. Only directories are visible.

Author:
  Holger Antelmann
See Also:
  `FileTreeNode`, `JTree`, `DefaultTreeModel`, Serialized Form

Constructor Summary
`DirectoryTreeNode(File dir)` initializes the DirectoryTreeNode with the given directory

Method Summary

Methods inherited from class com.antelmann.io.FileTreeNode
`children, equals, getAllowsChildren, getChildAt, getChildCount, getFile, getFilter, getIndex, getParent, hashCode, isLeaf, refreshContent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectoryTreeNode

    public DirectoryTreeNode(File dir)

  initializes the DirectoryTreeNode with the given directory

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads